<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>ServiceDtcWindow</class>
 <widget class="QMainWindow" name="ServiceDtcWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>800</width>
    <height>600</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string notr="true">DTC</string>
  </property>
  <widget class="QWidget" name="centralwidget">
   <layout class="QHBoxLayout" name="horizontalLayout">
    <item>
     <widget class="QListWidget" name="listWidget">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Minimum" vsizetype="Expanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="minimumSize">
       <size>
        <width>250</width>
        <height>0</height>
       </size>
      </property>
      <property name="font">
       <font>
        <pointsize>12</pointsize>
       </font>
      </property>
      <property name="iconSize">
       <size>
        <width>16</width>
        <height>16</height>
       </size>
      </property>
      <property name="spacing">
       <number>5</number>
      </property>
      <item>
       <property name="text">
        <string notr="true">Connection</string>
       </property>
       <property name="icon">
        <iconset resource="../../../resources/icons/silk.qrc">
         <normaloff>:/silk/icons/connect.png</normaloff>:/silk/icons/connect.png</iconset>
       </property>
      </item>
      <item>
       <property name="text">
        <string notr="true">Monitor</string>
       </property>
       <property name="icon">
        <iconset resource="../../../resources/icons/silk.qrc">
         <normaloff>:/silk/icons/wrench.png</normaloff>:/silk/icons/wrench.png</iconset>
       </property>
      </item>
      <item>
       <property name="text">
        <string notr="true">Recorder</string>
       </property>
       <property name="icon">
        <iconset resource="../../../resources/icons/silk.qrc">
         <normaloff>:/silk/icons/chart_curve.png</normaloff>:/silk/icons/chart_curve.png</iconset>
       </property>
      </item>
      <item>
       <property name="text">
        <string notr="true">Single Command</string>
       </property>
       <property name="icon">
        <iconset resource="../../../resources/icons/silk.qrc">
         <normaloff>:/silk/icons/bug.png</normaloff>:/silk/icons/bug.png</iconset>
       </property>
      </item>
     </widget>
    </item>
    <item>
     <widget class="QStackedWidget" name="stackedWidget">
      <widget class="screens::ConnectionControl" name="connection"/>
      <widget class="screens::Monitor" name="monitor">
       <property name="enabled">
        <bool>false</bool>
       </property>
      </widget>
      <widget class="screens::Recorder" name="recorder">
       <property name="enabled">
        <bool>false</bool>
       </property>
      </widget>
      <widget class="screens::RawCommandExecutor" name="ra_commands">
       <property name="enabled">
        <bool>false</bool>
       </property>
      </widget>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menubar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>800</width>
     <height>20</height>
    </rect>
   </property>
  </widget>
  <widget class="QStatusBar" name="statusbar"/>
 </widget>
 <customwidgets>
  <customwidget>
   <class>screens::ConnectionControl</class>
   <extends>QWidget</extends>
   <header>screens/connection_control.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>screens::Monitor</class>
   <extends>QWidget</extends>
   <header>screens/monitor.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>screens::Recorder</class>
   <extends>QWidget</extends>
   <header>screens/recorder.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>screens::RawCommandExecutor</class>
   <extends>QWidget</extends>
   <header>screens/raw_command_executor.h</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="../../../resources/icons/silk.qrc"/>
  <include location="../../../resources/icons/silk.qrc"/>
 </resources>
 <connections>
  <connection>
   <sender>listWidget</sender>
   <signal>currentRowChanged(int)</signal>
   <receiver>stackedWidget</receiver>
   <slot>setCurrentIndex(int)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>162</x>
     <y>247</y>
    </hint>
    <hint type="destinationlabel">
     <x>477</x>
     <y>235</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
